Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.sqwrl.impl
Class Literal

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLDatatypeValueImpl
              edu.stanford.smi.protegex.owl.swrl.sqwrl.impl.Literal

All Implemented Interfaces:
  Argument, AtomArgument, BuiltInArgument, DatatypeValueArgument, OWLDatatypeValue, OWLPropertyValue, DatatypeValue, ResultValue, Externalizable, Serializable, Comparable

    public class Literal

extends OWLDatatypeValueImpl
implements ResultValue, DatatypeValue

See Also:
  Serialized Form

Constructor Summary
`Literal()`
`Literal(boolean b)`
`Literal(double d)`
`Literal(float f)`
`Literal(int i)`
`Literal(long l)`
`Literal(Number n)`
`Literal(OWLModel owlModel, RDFSLiteral literal)`
`Literal(PrimitiveXSDType value)`
`Literal(String s)`

Method Summary

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLDatatypeValueImpl
`asRDFSLiteral, compareTo, equals, getAnyURI, getBase64Binary, getBigDecimal, getBigInteger, getBoolean, getByte, getDate, getDateTime, getDouble, getDuration, getFloat, getGDay, getGMonth, getGMonthDay, getGYear, getGYearMonth, getHexBinary, getInt, getLong, getNOTATION, getNumber, getPrimitiveXSDType, getQName, getShort, getString, getTime, getValue, getValueClassName, hashCode, isAnyURI, isBase64Binary, isBigDecimal, isBigInteger, isBoolean, isByte, isDate, isDateTime, isDouble, isDuration, isFloat, isGDay, isGMonth, isGMonthDay, isGYear, isGYearMonth, isHexBinary, isInteger, isLong, isNOTATION, isNumeric, isPrimitiveXSDType, isQName, isShort, isString, isTime, readExternal, toString, writeExternal`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.sqwrl.DatatypeValue
`asRDFSLiteral, getAnyURI, getBase64Binary, getBigDecimal, getBigInteger, getBoolean, getByte, getDate, getDouble, getDuration, getFloat, getGDay, getGMonth, getGMonthDay, getGYear, getGYearMonth, getHexBinary, getInt, getLong, getNOTATION, getNumber, getQName, getShort, getString, getTime, isAnyURI, isBase64Binary, isBigDecimal, isBigInteger, isBoolean, isByte, isDate, isDateTime, isDouble, isDuration, isFloat, isGDay, isGMonth, isGMonthDay, isGYear, isGYearMonth, isHexBinary, isInteger, isLong, isNOTATION, isNumeric, isPrimitiveXSDType, isQName, isShort, isString, isTime, toString`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.BuiltInArgument
`getBuiltInResult, getPrefixedVariableName, getVariableName, isUnbound, isVariable, setBuiltInResult, setUnbound, setVariableName`

Constructor Detail

### Literal

    public Literal()

### Literal

    public Literal(String s)

### Literal

    public Literal(Number n)

### Literal

    public Literal(boolean b)

### Literal

    public Literal(int i)

### Literal

    public Literal(long l)

### Literal

    public Literal(float f)

### Literal

    public Literal(double d)

### Literal

    public Literal(PrimitiveXSDType value)

### Literal

    public Literal(OWLModel owlModel,
                   RDFSLiteral literal)
            throws DatatypeConversionException

Throws:
  `DatatypeConversionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.